deepin-voice-note (6.5.60) unstable; urgency=medium

  * fix(vnote): keep move dialog item states consistent
  * fix(vnote): focus rich text editor after creating blank note
  * fix(vnote): keep copied images visible and viewable
  * fix(shortcut): disable Ctrl+S for empty notes
  * fix(vnote): disable note operations during voice-to-text
  * fix(editor): allow Enter newline while recording
  * fix(ui): fix settings dialog always-on-top and reduce clipboard log noise
  * fix(dbus): preserve maximized state when restoring from minimize

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 17 Jun 2026 14:03:55 +0800

deepin-voice-note (6.5.59) unstable; urgency=medium

  * fix(ui): add missing scrollbar to note list view
  * fix(settings): fix restore defaults button not working in audio source
  * fix(search): prevent crash when exporting notes with invalid ID

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 11 Jun 2026 10:00:00 +0800

deepin-voice-note (6.5.58) unstable; urgency=medium

  * fix(dbus): activate existing window on repeated launch
  * fix: select first notebook by default in move note dialog
  * fix(multi-select): disable save voice button when no voice in selected notes
  * fix(editor): record undo snapshot on mouseup to preserve cursor position
  * fix(editor): prevent floating toolbar from hiding on button click
  * fix(editor): prevent floating toolbar from hiding on button click
  * fix: block keyboard shortcuts during drag-and-drop operations

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 04 Jun 2026 21:19:59 +0800

deepin-voice-note (6.5.57) unstable; urgency=medium

  * chore: bump version to 6.5.57

 -- Wang Yu <wangyu@uniontech.com>  Tue, 19 May 2026 20:54:48 +0800

deepin-voice-note (6.5.56) unstable; urgency=medium

  * chore: Unify linglong.yaml

 -- wangrong <wangrong@uniontech.com>  Thu, 05 Mar 2026 20:42:47 +0800

deepin-voice-note (6.5.55) unstable; urgency=medium

  * fix: Implement select all functionality in JavaScript and C++ layers
  * feat: Introduce voiceId for enhanced voice block management
  * fix: Improve voice item insertion logic in index.js
  * fix: Enhance voice-to-text functionality and UI integration
  * chore: Update compiler flags for security enhancements

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Feb 2026 19:51:28 +0800

deepin-voice-note (6.5.54) unstable; urgency=medium

  * fix: Add environment variable for Chromium flags on SW-64 architecture

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 Jan 2026 18:56:38 +0800

deepin-voice-note (6.5.53) unstable; urgency=medium

  * fix: Update message display and toolbar behavior in WebEngineView.qml and index.js

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 06 Jan 2026 17:14:07 +0800

deepin-voice-note (6.5.52) UNRELEASED; urgency=medium

  * feat: Integrate D-Bus service for voice note management 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 11 Dec 2025 20:42:46 +0800

deepin-voice-note (6.5.51) unstable; urgency=medium

  * fix: Prevent crash on repeated audio recording shortcut and improve recording state handling

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 27 Nov 2025 19:15:39 +0800

deepin-voice-note (6.5.50) unstable; urgency=medium

  * fix: Improve audio output device detection for TTS and STT functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 20 Nov 2025 18:51:42 +0800

deepin-voice-note (6.5.49) unstable; urgency=medium

  * fix: Add jsCallGetAppDataPath method and enhance voice path handling

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 13 Nov 2025 20:28:48 +0800

deepin-voice-note (6.5.48) unstable; urgency=medium

  * fix bugs. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 06 Nov 2025 19:03:15 +0800

deepin-voice-note (6.5.47) unstable; urgency=medium

  * fix bugs. 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 30 Oct 2025 19:15:22 +0800

deepin-voice-note (6.5.46) unstable; urgency=medium

  * fix bugs.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 23 Oct 2025 18:41:19 +0800

deepin-voice-note (6.5.45) unstable; urgency=medium

  * fix: Implement UOS edition detection and validation methods

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 16 Oct 2025 19:33:51 +0800

deepin-voice-note (6.5.44) unstable; urgency=medium

  * fix: Implement restrictions on note and folder deletion during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 19:02:42 +0800

deepin-voice-note (6.5.43) unstable; urgency=medium

  * fix: Implement restrictions on note and folder creation during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 15:04:33 +0800

deepin-voice-note (6.5.42) unstable; urgency=medium

  * fix: Enhance note creation process with folder validation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Sep 2025 14:46:27 +0800

deepin-voice-note (6.5.41) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:34:44 +0800

deepin-voice-note (6.5.40) unstable; urgency=medium

  * fix: Improve color handling in ItemListView based on focus and theme type

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 28 Aug 2025 19:37:12 +0800

deepin-voice-note (6.5.39) unstable; urgency=medium

  * fix: Enhance note renaming functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 21 Aug 2025 17:35:15 +0800

deepin-voice-note (6.5.38) unstable; urgency=medium

  * chore: Update desktop file translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:48:38 +0800

deepin-voice-note (6.5.37) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:09:16 +0800

deepin-voice-note (6.5.36) unstable; urgency=medium

  * chore: update changelog

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 31 Jul 2025 19:19:31 +0800

deepin-voice-note (6.5.35) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 19:42:03 +0800

deepin-voice-note (6.5.34) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:50:14 +0800

deepin-voice-note (6.5.33) unstable; urgency=medium

  * chore: New version 6.5.33.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 18:05:24 +0800

deepin-voice-note (6.5.32) unstable; urgency=medium

  * fix: Change childActions return type to QVariantList

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 26 Jun 2025 13:52:37 +0800

deepin-voice-note (6.5.31) unstable; urgency=medium

  * fix: Update header formatting in voice notes documentation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:49:33 +0800

deepin-voice-note (6.5.30) unstable; urgency=medium

  * chore: New version 6.5.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:03:59 +0800

deepin-voice-note (6.5.29) unstable; urgency=medium

  * fix: Update MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 19:51:34 +0800

deepin-voice-note (6.5.28) unstable; urgency=medium

  * fix: Update lrelease command detection for Qt6 compatibility

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 15:47:20 +0800

deepin-voice-note (6.5.27) unstable; urgency=medium

  * fix: Adjust MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:48:11 +0800

deepin-voice-note (6.5.26) unstable; urgency=medium

  * fix: Enable qml6-module-qtquick-controls2 and qml6-module-qtquick-templates2 for MIPS architecture

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:06:24 +0800

deepin-voice-note (6.5.25) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 15:15:56 +0800

deepin-voice-note (6.5.24) unstable; urgency=medium

  * fix: noise reduction recording exception
  * chore: unify mips branch

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 11:35:05 +0800

deepin-voice-note (6.5.23) unstable; urgency=medium

  * Update version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 16:15:31 +0800

deepin-voice-note (6.5.22) unstable; urgency=medium

  * Update version to 6.5.22 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 30 May 2025 14:24:23 +0800

deepin-voice-note (6.5.21) unstable; urgency=medium

  * chore: New version 6.5.21.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 12:15:02 +0800

deepin-voice-note (6.5.20) unstable; urgency=medium

  * chore: New version 6.5.20.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Mar 2025 13:31:38 +0800

deepin-voice-note (6.5.19) unstable; urgency=medium

  * chore: New version 6.5.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Mar 2025 19:07:35 +0800

deepin-voice-note (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:57:47 +0800

deepin-voice-note (6.5.17) unstable; urgency=medium

  * fix: can not record voice(Bug: 305495)
  * fix: crash on play voice

 -- renbin <renbin@uniontech.com>  Fri, 28 Feb 2025 11:49:46 +0800

deepin-voice-note (6.5.16) unstable; urgency=medium

  * chore: New version 6.5.16.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Feb 2025 19:34:59 +0800

deepin-voice-note (6.5.15) unstable; urgency=medium

  * chore: New version 6.5.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:14:09 +0800

deepin-voice-note (6.5.14) unstable; urgency=medium

  * chore: New version 6.5.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:17:56 +0800

deepin-voice-note (6.5.13) unstable; urgency=medium

  * fix: cannot launch copilot page on first start (#179)(Bug: 300535)

 -- renbin <renbin@uniontech.com>  Thu, 16 Jan 2025 17:07:56 +0800

deepin-voice-note (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 09 Jan 2025 13:49:11 +0800

deepin-voice-note (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 02 Jan 2025 20:35:06 +0800

deepin-voice-note (6.5.10) unstable; urgency=medium

  * fix: Fixed the display issue(Bug: 297107)
  * fix: Fixed sidebar issues(Bug: 297145)
  * fix: Fixed the font blur issue(Bug: 297093)
  * fix: Fixed the issue of separator pixels(Bug: 297087)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 10:55:13 +0800

deepin-voice-note (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:52:25 +0800

deepin-voice-note (6.5.8) unstable; urgency=medium

  * New Version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 10:52:44 +0800

deepin-voice-note (6.5.7) unstable; urgency=medium

  * New Version 6.5.7.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 14:10:05 +0800

deepin-voice-note (6.5.6) unstable; urgency=medium

  * New Version 6.5.6.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:09:05 +0800

deepin-voice-note (6.5.5) unstable; urgency=medium

  * New Version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 17:37:53 +0800

deepin-voice-note (6.5.4) unstable; urgency=medium

  * New Version 6.5.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 16:24:49 +0800

deepin-voice-note (6.5.3) unstable; urgency=medium

  * New Version 6.5.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 08 Nov 2024 15:14:52 +0800

deepin-voice-note (6.5.2) unstable; urgency=medium

  * New Version 6.5.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 25 Oct 2024 10:05:38 +0800

deepin-voice-note (6.5.1) unstable; urgency=medium

  * New Version 6.5.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 18 Oct 2024 15:56:33 +0800

deepin-voice-note (6.5.0) unstable; urgency=medium

  * feat: Use QML to refactor the interface.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Sep 2024 17:00:18 +0800

deepin-voice-note (6.0.18) unstable; urgency=medium

  * fix: Fix voice notepad UI problem (Bug: 244879)
  * fix: Fix UI problem of dark theme playback control (Bug: 244955)
  * fix: Does not participate in wayland crash reconnection (Bug: 248535)

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 16:20:20 +0800

deepin-voice-note (6.0.17) unstable; urgency=medium

  * add build-dep deepin-desktop-base.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 30 Jan 2024 16:08:20 +0800

deepin-voice-note (6.0.16) unstable; urgency=medium

  * New version 6.0.16.

 -- wangcong <wangcong@uniontech.com>  Fri, 5 Jan 2024 14:50:42 +0800

deepin-voice-note (6.0.15) unstable; urgency=medium

  * New version 6.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 17 Oct 2023 17:41:42 +0800

deepin-voice-note (6.0.14) unstable; urgency=medium

  * Adjust the audio port available range.

 -- renbin <renbin@uniontech.com>  Fri, 13 Oct 2023 16:08:18 +0800

deepin-voice-note (6.0.13) unstable; urgency=medium

  * New version 6.0.13

 -- wangcong <wangcong@uniontech.com>  Thu, 21 Sep 2023 15:31:45 +0800
deepin-voice-note (6.0.12) unstable; urgency=medium

  * New version 6.0.12

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800
deepin-voice-note (6.0.11) unstable; urgency=medium

  * New version 6.0.11

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800
deepin-voice-note (6.0.10) unstable; urgency=medium

  * New version 6.0.10

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 13:22:45 +0800
deepin-voice-note (6.0.9) unstable; urgency=medium

  * New version 6.0.9

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 10:03:45 +0800
deepin-voice-note (6.0.8) unstable; urgency=medium

  * fix: Fix the issue of creating new text notes while using Ctrl+B bold text(Bug: 151155)
  * chore: Update translations(Bug: 189815)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 15:22:15 +0800

deepin-voice-note (6.0.7) unstable; urgency=medium

  * New version 6.0.7

 -- wangcong <wangcong@uniontech.com>  Fri, 12 May 2023 11:46:45 +0800
deepin-voice-note (6.0.6) unstable; urgency=medium

  * New version 6.0.6

 -- hemingyang <hemingyang@uniontech.com>  Mon, 3 Jan 2023 15:10:45 +0800

deepin-voice-note (6.0.5) unstable; urgency=medium

  * New version 6.0.5

 -- wangcong <wangcong@uniontech.com>  Mon, 28 Nov 2022 17:42:45 +0800

deepin-voice-note (6.0.4) unstable; urgency=medium

  * New version 6.0.4

 -- hemingyang <hemingyang@uniontech.com>  Tues, 08 Nov 2022 14:22:05 +0800

deepin-voice-note (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- hemingyang <hemingyang@uniontech.com>  Thur, 20 Sep 2022 14:41:05 +0800

deepin-voice-note (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- hemingyang <hemingyang@uniontech.com>  Thur, 15 Sep 2022 14:38:35 +0800

deepin-voice-note (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- hemingyang <hemingyang@uniontech.com>  Mon, 5 Sep 2022 14:38:35 +0800

deepin-voice-note (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800